printf "\
MATH LIBM***********************************************************************\n"
libc_module_fns="\
m_isinfl \
m_isnanl \
m_modfl \
m_frexpl \
m_signbitl \
m_isinf \
m_isnan \
m_finite \
m_ldexpl \
m_modf \
m_scalbn \
m_frexp \
m_ldexp \
m_isinff \
m_isnanf \
m_finitef \
m_modff \
m_scalbnf \
m_frexpf \
m_ldexpf \
m_isinff128 \
m_isnanf128 \
m_finitef128 \
m_copysignf128 \
m_modff128 \
m_scalbnf128 \
m_frexpf128 \
m_signbitf128 \
m_ldexpf128 \
\
m_finitel \
m_copysignl \
m_scalbnl \
m_copysign \
m_signbit \
m_copysignf \
m_signbitf \
"
fns="\
$libc_module_fns \
s_lib_version \
s_matherr \
s_signgam \
fclrexcpt \
fgetexcptflg \
fraiseexcpt \
fsetexcptflg \
ftestexcept \
fegetround \
fesetround \
fegetenv \
feholdexcpt \
fesetenv \
feupdateenv \
fedisblxcpt \
feenablxcpt \
fegetexcept \
fesetexcept \
fetestexceptflag \
fegetmode \
fesetmode \
powl_helper \
w_acosl_compat \
w_acoshl_compat \
w_asinl_compat \
w_atan2l_compat \
w_atanhl_compat \
w_coshl_compat \
w_exp2l_compat \
w_exp10l_compat \
w_fmodl_compat \
w_hypotl_compat \
w_j0l_compat \
w_j1l_compat \
w_jnl_compat \
w_log2l_compat \
w_log10l_compat \
w_logl_compat \
w_powl_compat \
w_remainderl_compat \
w_scalbl_compat \
w_sinhl_compat \
w_sqrtl_compat \
w_tgammal_compat \
w_lgammal_r_compat \
w_lgammal_compat2 \
w_expl_compat \
w_lgamma_compatl \
k_standardl \
w_acos_compat \
w_acosh_compat \
w_asin_compat \
w_atan2_compat \
w_atanh_compat \
w_cosh_compat \
w_exp2_compat \
w_exp10_compat \
w_fmod_compat \
w_hypot_compat \
w_j0_compat \
w_j1_compat \
w_jn_compat \
w_log2_compat \
w_log10_compat \
w_log_compat \
w_pow_compat \
w_remainder_compat \
w_scalb_compat \
w_sinh_compat \
w_sqrt_compat \
w_tgamma_compat \
w_lgamma_r_compat \
w_lgamma_compat2 \
w_exp_compat \
w_lgamma_compat \
k_standard \
w_acosf_compat \
w_acoshf_compat \
w_asinf_compat \
w_atan2f_compat \
w_atanhf_compat \
w_coshf_compat \
w_exp2f_compat \
w_exp10f_compat \
w_fmodf_compat \
w_hypotf_compat \
w_j0f_compat \
w_j1f_compat \
w_jnf_compat \
w_log2f_compat \
w_log10f_compat \
w_logf_compat \
w_powf_compat \
w_remainderf_compat \
w_scalbf_compat \
w_sinhf_compat \
w_sqrtf_compat \
w_tgammaf_compat \
w_lgammaf_r_compat \
w_lgammaf_compat2 \
w_expf_compat \
w_lgamma_compatf \
k_standardf \
e_acosl \
e_acoshl \
e_asinl \
e_atan2l \
e_atanhl \
e_coshl \
\
e_hypotl \
e_j0l \
e_j1l \
e_jnl \
e_lgammal_r \
\
e_sinhl \
e_sqrtl \
e_gammal_r \
\
k_tanl \
s_asinhl \
s_atanl \
s_cbrtl \
\
s_cosl \
s_erfl \
\
s_logbl \
s_nextafterl \
s_nexttowardl \
s_rintl \
s_scalblnl \
s_sinl \
s_tanl \
s_tanhl \
s_fpclassifyl \
\
s_remquol \
\
s_roundl \
\
s_sincosl \
s_fmal \
\
s_lroundl \
s_llroundl \
\
s_issignalingl \
\
x2y2m1l \
gamma_productl \
lgamma_negl \
lgamma_productl \
s_nextupl \
s_totalorderl \
s_totalordermagl \
s_getpayloadl \
s_setpayloadl \
s_setpayloadsigl \
s_roundevenl \
s_fromfpl \
s_ufromfpl \
s_fromfpxl \
s_ufromfpxl \
cargl \
conjl \
cimagl \
creall \
cabsl \
\
s_cacosl \
s_cacoshl \
s_ccosl \
s_ccoshl \
s_casinl \
s_csinl \
s_casinhl \
k_casinhl \
s_csinhl \
s_catanhl \
s_catanl \
s_ctanl \
s_ctanhl \
s_cexpl \
s_clogl \
s_cprojl \
s_csqrtl \
s_cpowl \
s_clog10l \
s_fdiml \
s_nextdownl \
\
s_nanl \
s_iseqsigl \
s_canonicalizel \
s_significandl \
w_ilogbl \
w_llogbl \
w_log1pl \
w_scalblnl \
s_fmaxmagl \
s_fminmagl \
w_acosl \
w_acoshl \
w_asinl \
w_atan2l \
w_atanhl \
w_coshl \
w_exp10l \
w_exp2l \
w_fmodl \
w_hypotl \
w_j0l \
w_j1l \
w_jnl \
w_logl \
w_log10l \
w_log2l \
w_powl \
w_remainderl \
w_scalbl \
w_sinhl \
w_sqrtl \
w_tgammal \
w_lgammal \
w_lgammal_r \
w_expl \
\
e_acos \
e_acosh \
e_asin \
e_atan2 \
e_atanh \
e_cosh \
e_exp \
e_fmod \
e_hypot \
e_j0 \
e_j1 \
e_jn \
e_lgamma_r \
e_log \
e_log10 \
e_pow \
e_remainder \
e_sinh \
e_sqrt \
e_gamma_r \
e_ilogb \
k_tan \
s_asinh \
s_atan \
s_cbrt \
s_ceil \
s_cos \
s_erf \
s_expm1 \
s_fabs \
s_floor \
s_log1p \
s_logb \
s_nextafter \
s_nexttoward \
s_rint \
s_scalbln \
s_sin \
s_tan \
s_tanh \
s_fpclassify \
s_trunc \
s_remquo \
e_log2 \
s_round \
s_nearbyint \
s_sincos \
s_fma \
\
s_lround \
s_llround \
e_exp10 \
s_issignaling \
\
x2y2m1 \
gamma_product \
lgamma_neg \
lgamma_product \
s_nextup \
s_totalorder \
s_totalordermag \
s_getpayload \
s_setpayload \
s_setpayloadsig \
s_roundeven \
s_fromfp \
s_ufromfp \
s_fromfpx \
s_ufromfpx \
carg \
conj \
cimag \
creal \
cabs \
e_scalb \
s_cacos \
s_cacosh \
s_ccos \
s_ccosh \
s_casin \
s_csin \
s_casinh \
k_casinh \
s_csinh \
s_catanh \
s_catan \
s_ctan \
s_ctanh \
s_cexp \
s_clog \
s_cproj \
s_csqrt \
s_cpow \
s_clog10 \
s_fdim \
s_nextdown \
\
s_nan \
s_iseqsig \
s_canonicalize \
s_significand \
w_ilogb \
w_llogb \
w_log1p \
w_scalbln \
s_fmaxmag \
s_fminmag \
w_acos \
w_acosh \
w_asin \
w_atan2 \
w_atanh \
w_cosh \
w_exp10 \
w_exp2 \
w_fmod \
w_hypot \
w_j0 \
w_j1 \
w_jn \
w_log \
w_log10 \
w_log2 \
w_pow \
w_remainder \
w_scalb \
w_sinh \
w_sqrt \
w_tgamma \
w_lgamma \
w_lgamma_r \
w_exp \
e_exp2 \
e_acosf \
e_acoshf \
e_asinf \
e_atan2f \
e_atanhf \
e_coshf \
e_expf \
e_fmodf \
e_hypotf \
e_j0f \
e_j1f \
e_jnf \
e_lgammaf_r \
e_logf \
e_log10f \
e_powf \
e_remainderf \
e_sinhf \
e_sqrtf \
e_gammaf_r \
e_ilogbf \
k_tanf \
s_asinhf \
s_atanf \
s_cbrtf \
s_ceilf \
s_cosf \
s_erff \
s_expm1f \
s_fabsf \
s_floorf \
s_log1pf \
s_logbf \
s_nextafterf \
s_nexttowardf \
s_rintf \
s_scalblnf \
s_sinf \
s_tanf \
s_tanhf \
s_fpclassifyf \
s_truncf \
s_remquof \
e_log2f \
s_roundf \
s_nearbyintf \
s_sincosf \
s_fmaf \
\
s_lroundf \
s_llroundf \
e_exp10f \
s_issignalingf \
\
x2y2m1f \
gamma_productf \
lgamma_negf \
lgamma_productf \
s_nextupf \
s_totalorderf \
s_totalordermagf \
s_getpayloadf \
s_setpayloadf \
s_setpayloadsigf \
s_roundevenf \
s_fromfpf \
s_ufromfpf \
s_fromfpxf \
s_ufromfpxf \
cargf \
conjf \
cimagf \
crealf \
cabsf \
e_scalbf \
s_cacosf \
s_cacoshf \
s_ccosf \
s_ccoshf \
s_casinf \
s_csinf \
s_casinhf \
k_casinhf \
s_csinhf \
s_catanhf \
s_catanf \
s_ctanf \
s_ctanhf \
s_cexpf \
s_clogf \
s_cprojf \
s_csqrtf \
s_cpowf \
s_clog10f \
s_fdimf \
s_nextdownf \
\
s_nanf \
s_iseqsigf \
s_canonicalizef \
s_significandf \
w_ilogbf \
w_llogbf \
w_log1pf \
w_scalblnf \
s_fmaxmagf \
s_fminmagf \
w_acosf \
w_acoshf \
w_asinf \
w_atan2f \
w_atanhf \
w_coshf \
w_exp10f \
w_exp2f \
w_fmodf \
w_hypotf \
w_j0f \
w_j1f \
w_jnf \
w_logf \
w_log10f \
w_log2f \
w_powf \
w_remainderf \
w_scalbf \
w_sinhf \
w_sqrtf \
w_tgammaf \
w_lgammaf \
w_lgammaf_r \
w_expf \
e_exp2f \
e_acosf128 \
e_acoshf128 \
e_asinf128 \
e_atan2f128 \
e_atanhf128 \
e_coshf128 \
e_expf128 \
e_fmodf128 \
e_hypotf128 \
e_j0f128 \
e_j1f128 \
e_jnf128 \
e_lgammaf128_r \
e_logf128 \
e_log10f128 \
e_powf128 \
e_remainderf128 \
e_sinhf128 \
e_sqrtf128 \
e_gammaf128_r \
e_ilogbf128 \
k_tanf128 \
s_asinhf128 \
s_atanf128 \
s_cbrtf128 \
s_ceilf128 \
s_cosf128 \
s_erff128 \
s_expm1f128 \
s_fabsf128 \
s_floorf128 \
s_log1pf128 \
s_logbf128 \
s_nextafterf128 \
s_nexttowardf128 \
s_rintf128 \
s_scalblnf128 \
s_sinf128 \
s_tanf128 \
s_tanhf128 \
s_fpclassifyf128 \
s_truncf128 \
s_remquof128 \
e_log2f128 \
s_roundf128 \
s_nearbyintf128 \
s_sincosf128 \
s_fmaf128 \
s_lrintf128 \
s_llrintf128 \
s_lroundf128 \
s_llroundf128 \
e_exp10f128 \
s_issignalingf128 \
x2y2m1f128 \
gamma_productf128 \
lgamma_negf128 \
lgamma_productf128 \
s_nextupf128 \
s_totalorderf128 \
s_totalordermagf128 \
s_getpayloadf128 \
s_setpayloadf128 \
s_setpayloadsigf128 \
s_roundevenf128 \
s_fromfpf128 \
s_ufromfpf128 \
s_fromfpxf128 \
s_ufromfpxf128 \
cargf128 \
conjf128 \
cimagf128 \
crealf128 \
cabsf128 \
e_scalbf128 \
s_cacosf128 \
s_cacoshf128 \
s_ccosf128 \
s_ccoshf128 \
s_casinf128 \
s_csinf128 \
s_casinhf128 \
k_casinhf128 \
s_csinhf128 \
s_catanhf128 \
s_catanf128 \
s_ctanf128 \
s_ctanhf128 \
s_cexpf128 \
s_clogf128 \
s_cprojf128 \
s_csqrtf128 \
s_cpowf128 \
s_clog10f128 \
s_fdimf128 \
s_nextdownf128 \
s_fmaxf128 \
s_fminf128 \
s_nanf128 \
s_iseqsigf128 \
s_canonicalizef128 \
s_significandf128 \
w_ilogbf128 \
w_llogbf128 \
w_log1pf128 \
w_scalblnf128 \
s_fmaxmagf128 \
s_fminmagf128 \
w_acosf128 \
w_acoshf128 \
w_asinf128 \
w_atan2f128 \
w_atanhf128 \
w_coshf128 \
w_exp10f128 \
w_exp2f128 \
w_fmodf128 \
w_hypotf128 \
w_j0f128 \
w_j1f128 \
w_jnf128 \
w_logf128 \
w_log10f128 \
w_log2f128 \
w_powf128 \
w_remainderf128 \
w_scalbf128 \
w_sinhf128 \
w_sqrtf128 \
w_tgammaf128 \
w_lgammaf128 \
w_lgammaf128_r \
w_expf128 \
e_exp2f128 \
t_sincosl \
k_sinl \
k_cosl \
k_sincosl \
s_iscanonicall \
e_rem_pio2l \
branred \
doasin \
dosincos \
mpa \
mpatan2 \
k_rem_pio2 \
mpatan \
mpsqrt \
mptan \
sincos32 \
sincostab \
math_err \
e_exp_data \
e_log_data \
e_log2_data \
e_pow_log_data \
math_errf \
e_exp2f_data \
e_logf_data \
e_log2f_data \
e_powf_log2_data \
s_sincosf_data \
t_sincosf128 \
k_sinf128 \
k_cosf128 \
k_sincosf128 \
e_rem_pio2f128 \
s_fadd \
s_f32xaddf64 \
s_faddl \
s_daddl \
s_f32addf128 \
s_f64addf128 \
s_f64xaddf128 \
s_fdiv \
s_f32xdivf64 \
s_fdivl \
s_ddivl \
s_f32divf128 \
s_f64divf128 \
s_f64xdivf128 \
s_fmul \
s_f32xmulf64 \
s_fmull \
s_dmull \
s_f32mulf128 \
s_f64mulf128 \
s_f64xmulf128 \
s_fsub \
s_f32xsubf64 \
s_fsubl \
s_dsubl \
s_f32subf128 \
s_f64subf128 \
s_f64xsubf128 \
\
\
e_expl \
e_fmodl \
e_logl \
e_log10l \
e_powl \
e_remainderl \
e_ilogbl \
s_ceill \
s_expm1l \
s_fabsl \
s_floorl \
s_log1pl \
s_truncl \
e_log2l \
s_nearbyintl \
s_lrintl \
s_llrintl \
e_exp10l \
e_scalbl \
s_fmaxl \
s_fminl \
e_exp2l \
s_lrint \
s_llrint \
s_fmax \
s_fmin \
s_lrintf \
s_llrintf \
s_fmaxf \
s_fminf \
"
mkdir -p $build_dir/math/libm
for fn in $fns
do
	printf "ASSEMBLING PIE $fn\n"
	$as $src_dir/math/libm/$fn.s -o $build_dir/math/libm/$fn.o
	printf "ASSEMBLING SHARED $fn\n"
	$as $src_dir/math/libm/$fn.shared.s -o $build_dir/math/libm/$fn.os
done
printf 'CREATING LIBM.A\n'
cd $build_dir/math/libm
$ar cruv libm.a s_lib_version.o s_matherr.o s_signgam.o fclrexcpt.o fgetexcptflg.o fraiseexcpt.o fsetexcptflg.o ftestexcept.o fegetround.o fesetround.o fegetenv.o feholdexcpt.o fesetenv.o feupdateenv.o fedisblxcpt.o feenablxcpt.o fegetexcept.o fesetexcept.o fetestexceptflag.o fegetmode.o fesetmode.o powl_helper.o w_acosl_compat.o w_acoshl_compat.o w_asinl_compat.o w_atan2l_compat.o w_atanhl_compat.o w_coshl_compat.o w_exp2l_compat.o w_exp10l_compat.o w_fmodl_compat.o w_hypotl_compat.o w_j0l_compat.o w_j1l_compat.o w_jnl_compat.o w_log2l_compat.o w_log10l_compat.o w_logl_compat.o w_powl_compat.o w_remainderl_compat.o w_scalbl_compat.o w_sinhl_compat.o w_sqrtl_compat.o w_tgammal_compat.o w_lgammal_r_compat.o w_lgammal_compat2.o w_expl_compat.o w_lgamma_compatl.o k_standardl.o w_acos_compat.o w_acosh_compat.o w_asin_compat.o w_atan2_compat.o w_atanh_compat.o w_cosh_compat.o w_exp2_compat.o w_exp10_compat.o w_fmod_compat.o w_hypot_compat.o w_j0_compat.o w_j1_compat.o w_jn_compat.o w_log2_compat.o w_log10_compat.o w_log_compat.o w_pow_compat.o w_remainder_compat.o w_scalb_compat.o w_sinh_compat.o w_sqrt_compat.o w_tgamma_compat.o w_lgamma_r_compat.o w_lgamma_compat2.o w_exp_compat.o w_lgamma_compat.o k_standard.o w_acosf_compat.o w_acoshf_compat.o w_asinf_compat.o w_atan2f_compat.o w_atanhf_compat.o w_coshf_compat.o w_exp2f_compat.o w_exp10f_compat.o w_fmodf_compat.o w_hypotf_compat.o w_j0f_compat.o w_j1f_compat.o w_jnf_compat.o w_log2f_compat.o w_log10f_compat.o w_logf_compat.o w_powf_compat.o w_remainderf_compat.o w_scalbf_compat.o w_sinhf_compat.o w_sqrtf_compat.o w_tgammaf_compat.o w_lgammaf_r_compat.o w_lgammaf_compat2.o w_expf_compat.o w_lgamma_compatf.o k_standardf.o e_acosl.o e_acoshl.o e_asinl.o e_atan2l.o e_atanhl.o e_coshl.o e_expl.o e_fmodl.o e_hypotl.o e_j0l.o e_j1l.o e_jnl.o e_lgammal_r.o e_logl.o e_log10l.o e_powl.o e_remainderl.o e_sinhl.o e_sqrtl.o e_gammal_r.o e_ilogbl.o k_tanl.o s_asinhl.o s_atanl.o s_cbrtl.o s_ceill.o s_cosl.o s_erfl.o s_expm1l.o s_fabsl.o s_floorl.o s_log1pl.o s_logbl.o s_nextafterl.o s_nexttowardl.o s_rintl.o s_scalblnl.o s_sinl.o s_tanl.o s_tanhl.o s_fpclassifyl.o s_truncl.o s_remquol.o e_log2l.o s_roundl.o s_nearbyintl.o s_sincosl.o s_fmal.o s_lrintl.o s_llrintl.o s_lroundl.o s_llroundl.o e_exp10l.o s_issignalingl.o m_isinfl.o m_isnanl.o m_finitel.o m_copysignl.o m_modfl.o m_scalbnl.o m_frexpl.o m_signbitl.o m_ldexpl.o x2y2m1l.o gamma_productl.o lgamma_negl.o lgamma_productl.o s_nextupl.o s_totalorderl.o s_totalordermagl.o s_getpayloadl.o s_setpayloadl.o s_setpayloadsigl.o s_roundevenl.o s_fromfpl.o s_ufromfpl.o s_fromfpxl.o s_ufromfpxl.o cargl.o conjl.o cimagl.o creall.o cabsl.o e_scalbl.o s_cacosl.o s_cacoshl.o s_ccosl.o s_ccoshl.o s_casinl.o s_csinl.o s_casinhl.o k_casinhl.o s_csinhl.o s_catanhl.o s_catanl.o s_ctanl.o s_ctanhl.o s_cexpl.o s_clogl.o s_cprojl.o s_csqrtl.o s_cpowl.o s_clog10l.o s_fdiml.o s_nextdownl.o s_fmaxl.o s_fminl.o s_nanl.o s_iseqsigl.o s_canonicalizel.o s_significandl.o w_ilogbl.o w_llogbl.o w_log1pl.o w_scalblnl.o s_fmaxmagl.o s_fminmagl.o w_acosl.o w_acoshl.o w_asinl.o w_atan2l.o w_atanhl.o w_coshl.o w_exp10l.o w_exp2l.o w_fmodl.o w_hypotl.o w_j0l.o w_j1l.o w_jnl.o w_logl.o w_log10l.o w_log2l.o w_powl.o w_remainderl.o w_scalbl.o w_sinhl.o w_sqrtl.o w_tgammal.o w_lgammal.o w_lgammal_r.o w_expl.o e_exp2l.o e_acos.o e_acosh.o e_asin.o e_atan2.o e_atanh.o e_cosh.o e_exp.o e_fmod.o e_hypot.o e_j0.o e_j1.o e_jn.o e_lgamma_r.o e_log.o e_log10.o e_pow.o e_remainder.o e_sinh.o e_sqrt.o e_gamma_r.o e_ilogb.o k_tan.o s_asinh.o s_atan.o s_cbrt.o s_ceil.o s_cos.o s_erf.o s_expm1.o s_fabs.o s_floor.o s_log1p.o s_logb.o s_nextafter.o s_nexttoward.o s_rint.o s_scalbln.o s_sin.o s_tan.o s_tanh.o s_fpclassify.o s_trunc.o s_remquo.o e_log2.o s_round.o s_nearbyint.o s_sincos.o s_fma.o s_lrint.o s_llrint.o s_lround.o s_llround.o e_exp10.o s_issignaling.o m_isinf.o m_isnan.o m_finite.o m_copysign.o m_modf.o m_scalbn.o m_frexp.o m_signbit.o m_ldexp.o x2y2m1.o gamma_product.o lgamma_neg.o lgamma_product.o s_nextup.o s_totalorder.o s_totalordermag.o s_getpayload.o s_setpayload.o s_setpayloadsig.o s_roundeven.o s_fromfp.o s_ufromfp.o s_fromfpx.o s_ufromfpx.o carg.o conj.o cimag.o creal.o cabs.o e_scalb.o s_cacos.o s_cacosh.o s_ccos.o s_ccosh.o s_casin.o s_csin.o s_casinh.o k_casinh.o s_csinh.o s_catanh.o s_catan.o s_ctan.o s_ctanh.o s_cexp.o s_clog.o s_cproj.o s_csqrt.o s_cpow.o s_clog10.o s_fdim.o s_nextdown.o s_fmax.o s_fmin.o s_nan.o s_iseqsig.o s_canonicalize.o s_significand.o w_ilogb.o w_llogb.o w_log1p.o w_scalbln.o s_fmaxmag.o s_fminmag.o w_acos.o w_acosh.o w_asin.o w_atan2.o w_atanh.o w_cosh.o w_exp10.o w_exp2.o w_fmod.o w_hypot.o w_j0.o w_j1.o w_jn.o w_log.o w_log10.o w_log2.o w_pow.o w_remainder.o w_scalb.o w_sinh.o w_sqrt.o w_tgamma.o w_lgamma.o w_lgamma_r.o w_exp.o e_exp2.o e_acosf.o e_acoshf.o e_asinf.o e_atan2f.o e_atanhf.o e_coshf.o e_expf.o e_fmodf.o e_hypotf.o e_j0f.o e_j1f.o e_jnf.o e_lgammaf_r.o e_logf.o e_log10f.o e_powf.o e_remainderf.o e_sinhf.o e_sqrtf.o e_gammaf_r.o e_ilogbf.o k_tanf.o s_asinhf.o s_atanf.o s_cbrtf.o s_ceilf.o s_cosf.o s_erff.o s_expm1f.o s_fabsf.o s_floorf.o s_log1pf.o s_logbf.o s_nextafterf.o s_nexttowardf.o s_rintf.o s_scalblnf.o s_sinf.o s_tanf.o s_tanhf.o s_fpclassifyf.o s_truncf.o s_remquof.o e_log2f.o s_roundf.o s_nearbyintf.o s_sincosf.o s_fmaf.o s_lrintf.o s_llrintf.o s_lroundf.o s_llroundf.o e_exp10f.o s_issignalingf.o m_isinff.o m_isnanf.o m_finitef.o m_copysignf.o m_modff.o m_scalbnf.o m_frexpf.o m_signbitf.o m_ldexpf.o x2y2m1f.o gamma_productf.o lgamma_negf.o lgamma_productf.o s_nextupf.o s_totalorderf.o s_totalordermagf.o s_getpayloadf.o s_setpayloadf.o s_setpayloadsigf.o s_roundevenf.o s_fromfpf.o s_ufromfpf.o s_fromfpxf.o s_ufromfpxf.o cargf.o conjf.o cimagf.o crealf.o cabsf.o e_scalbf.o s_cacosf.o s_cacoshf.o s_ccosf.o s_ccoshf.o s_casinf.o s_csinf.o s_casinhf.o k_casinhf.o s_csinhf.o s_catanhf.o s_catanf.o s_ctanf.o s_ctanhf.o s_cexpf.o s_clogf.o s_cprojf.o s_csqrtf.o s_cpowf.o s_clog10f.o s_fdimf.o s_nextdownf.o s_fmaxf.o s_fminf.o s_nanf.o s_iseqsigf.o s_canonicalizef.o s_significandf.o w_ilogbf.o w_llogbf.o w_log1pf.o w_scalblnf.o s_fmaxmagf.o s_fminmagf.o w_acosf.o w_acoshf.o w_asinf.o w_atan2f.o w_atanhf.o w_coshf.o w_exp10f.o w_exp2f.o w_fmodf.o w_hypotf.o w_j0f.o w_j1f.o w_jnf.o w_logf.o w_log10f.o w_log2f.o w_powf.o w_remainderf.o w_scalbf.o w_sinhf.o w_sqrtf.o w_tgammaf.o w_lgammaf.o w_lgammaf_r.o w_expf.o e_exp2f.o e_acosf128.o e_acoshf128.o e_asinf128.o e_atan2f128.o e_atanhf128.o e_coshf128.o e_expf128.o e_fmodf128.o e_hypotf128.o e_j0f128.o e_j1f128.o e_jnf128.o e_lgammaf128_r.o e_logf128.o e_log10f128.o e_powf128.o e_remainderf128.o e_sinhf128.o e_sqrtf128.o e_gammaf128_r.o e_ilogbf128.o k_tanf128.o s_asinhf128.o s_atanf128.o s_cbrtf128.o s_ceilf128.o s_cosf128.o s_erff128.o s_expm1f128.o s_fabsf128.o s_floorf128.o s_log1pf128.o s_logbf128.o s_nextafterf128.o s_nexttowardf128.o s_rintf128.o s_scalblnf128.o s_sinf128.o s_tanf128.o s_tanhf128.o s_fpclassifyf128.o s_truncf128.o s_remquof128.o e_log2f128.o s_roundf128.o s_nearbyintf128.o s_sincosf128.o s_fmaf128.o s_lrintf128.o s_llrintf128.o s_lroundf128.o s_llroundf128.o e_exp10f128.o s_issignalingf128.o m_isinff128.o m_isnanf128.o m_finitef128.o m_copysignf128.o m_modff128.o m_scalbnf128.o m_frexpf128.o m_signbitf128.o m_ldexpf128.o x2y2m1f128.o gamma_productf128.o lgamma_negf128.o lgamma_productf128.o s_nextupf128.o s_totalorderf128.o s_totalordermagf128.o s_getpayloadf128.o s_setpayloadf128.o s_setpayloadsigf128.o s_roundevenf128.o s_fromfpf128.o s_ufromfpf128.o s_fromfpxf128.o s_ufromfpxf128.o cargf128.o conjf128.o cimagf128.o crealf128.o cabsf128.o e_scalbf128.o s_cacosf128.o s_cacoshf128.o s_ccosf128.o s_ccoshf128.o s_casinf128.o s_csinf128.o s_casinhf128.o k_casinhf128.o s_csinhf128.o s_catanhf128.o s_catanf128.o s_ctanf128.o s_ctanhf128.o s_cexpf128.o s_clogf128.o s_cprojf128.o s_csqrtf128.o s_cpowf128.o s_clog10f128.o s_fdimf128.o s_nextdownf128.o s_fmaxf128.o s_fminf128.o s_nanf128.o s_iseqsigf128.o s_canonicalizef128.o s_significandf128.o w_ilogbf128.o w_llogbf128.o w_log1pf128.o w_scalblnf128.o s_fmaxmagf128.o s_fminmagf128.o w_acosf128.o w_acoshf128.o w_asinf128.o w_atan2f128.o w_atanhf128.o w_coshf128.o w_exp10f128.o w_exp2f128.o w_fmodf128.o w_hypotf128.o w_j0f128.o w_j1f128.o w_jnf128.o w_logf128.o w_log10f128.o w_log2f128.o w_powf128.o w_remainderf128.o w_scalbf128.o w_sinhf128.o w_sqrtf128.o w_tgammaf128.o w_lgammaf128.o w_lgammaf128_r.o w_expf128.o e_exp2f128.o t_sincosl.o k_sinl.o k_cosl.o k_sincosl.o s_iscanonicall.o e_rem_pio2l.o branred.o doasin.o dosincos.o mpa.o mpatan2.o k_rem_pio2.o mpatan.o mpsqrt.o mptan.o sincos32.o sincostab.o math_err.o e_exp_data.o e_log_data.o e_log2_data.o e_pow_log_data.o math_errf.o e_exp2f_data.o e_logf_data.o e_log2f_data.o e_powf_log2_data.o s_sincosf_data.o t_sincosf128.o k_sinf128.o k_cosf128.o k_sincosf128.o e_rem_pio2f128.o s_fadd.o s_f32xaddf64.o s_faddl.o s_daddl.o s_f32addf128.o s_f64addf128.o s_f64xaddf128.o s_fdiv.o s_f32xdivf64.o s_fdivl.o s_ddivl.o s_f32divf128.o s_f64divf128.o s_f64xdivf128.o s_fmul.o s_f32xmulf64.o s_fmull.o s_dmull.o s_f32mulf128.o s_f64mulf128.o s_f64xmulf128.o s_fsub.o s_f32xsubf64.o s_fsubl.o s_dsubl.o s_f32subf128.o s_f64subf128.o s_f64xsubf128.o
printf 'CREATING LIBM_PIC.A\n'
$ar cruv libm_pic.a s_lib_version.os s_matherr.os s_signgam.os fclrexcpt.os fgetexcptflg.os fraiseexcpt.os fsetexcptflg.os ftestexcept.os fegetround.os fesetround.os fegetenv.os feholdexcpt.os fesetenv.os feupdateenv.os fedisblxcpt.os feenablxcpt.os fegetexcept.os fesetexcept.os fetestexceptflag.os fegetmode.os fesetmode.os powl_helper.os w_acosl_compat.os w_acoshl_compat.os w_asinl_compat.os w_atan2l_compat.os w_atanhl_compat.os w_coshl_compat.os w_exp2l_compat.os w_exp10l_compat.os w_fmodl_compat.os w_hypotl_compat.os w_j0l_compat.os w_j1l_compat.os w_jnl_compat.os w_log2l_compat.os w_log10l_compat.os w_logl_compat.os w_powl_compat.os w_remainderl_compat.os w_scalbl_compat.os w_sinhl_compat.os w_sqrtl_compat.os w_tgammal_compat.os w_lgammal_r_compat.os w_lgammal_compat2.os w_expl_compat.os w_lgamma_compatl.os k_standardl.os w_acos_compat.os w_acosh_compat.os w_asin_compat.os w_atan2_compat.os w_atanh_compat.os w_cosh_compat.os w_exp2_compat.os w_exp10_compat.os w_fmod_compat.os w_hypot_compat.os w_j0_compat.os w_j1_compat.os w_jn_compat.os w_log2_compat.os w_log10_compat.os w_log_compat.os w_pow_compat.os w_remainder_compat.os w_scalb_compat.os w_sinh_compat.os w_sqrt_compat.os w_tgamma_compat.os w_lgamma_r_compat.os w_lgamma_compat2.os w_exp_compat.os w_lgamma_compat.os k_standard.os w_acosf_compat.os w_acoshf_compat.os w_asinf_compat.os w_atan2f_compat.os w_atanhf_compat.os w_coshf_compat.os w_exp2f_compat.os w_exp10f_compat.os w_fmodf_compat.os w_hypotf_compat.os w_j0f_compat.os w_j1f_compat.os w_jnf_compat.os w_log2f_compat.os w_log10f_compat.os w_logf_compat.os w_powf_compat.os w_remainderf_compat.os w_scalbf_compat.os w_sinhf_compat.os w_sqrtf_compat.os w_tgammaf_compat.os w_lgammaf_r_compat.os w_lgammaf_compat2.os w_expf_compat.os w_lgamma_compatf.os k_standardf.os e_acosl.os e_acoshl.os e_asinl.os e_atan2l.os e_atanhl.os e_coshl.os e_expl.os e_fmodl.os e_hypotl.os e_j0l.os e_j1l.os e_jnl.os e_lgammal_r.os e_logl.os e_log10l.os e_powl.os e_remainderl.os e_sinhl.os e_sqrtl.os e_gammal_r.os e_ilogbl.os k_tanl.os s_asinhl.os s_atanl.os s_cbrtl.os s_ceill.os s_cosl.os s_erfl.os s_expm1l.os s_fabsl.os s_floorl.os s_log1pl.os s_logbl.os s_nextafterl.os s_nexttowardl.os s_rintl.os s_scalblnl.os s_sinl.os s_tanl.os s_tanhl.os s_fpclassifyl.os s_truncl.os s_remquol.os e_log2l.os s_roundl.os s_nearbyintl.os s_sincosl.os s_fmal.os s_lrintl.os s_llrintl.os s_lroundl.os s_llroundl.os e_exp10l.os s_issignalingl.os m_isinfl.os m_isnanl.os m_finitel.os m_copysignl.os m_modfl.os m_scalbnl.os m_frexpl.os m_signbitl.os m_ldexpl.os x2y2m1l.os gamma_productl.os lgamma_negl.os lgamma_productl.os s_nextupl.os s_totalorderl.os s_totalordermagl.os s_getpayloadl.os s_setpayloadl.os s_setpayloadsigl.os s_roundevenl.os s_fromfpl.os s_ufromfpl.os s_fromfpxl.os s_ufromfpxl.os cargl.os conjl.os cimagl.os creall.os cabsl.os e_scalbl.os s_cacosl.os s_cacoshl.os s_ccosl.os s_ccoshl.os s_casinl.os s_csinl.os s_casinhl.os k_casinhl.os s_csinhl.os s_catanhl.os s_catanl.os s_ctanl.os s_ctanhl.os s_cexpl.os s_clogl.os s_cprojl.os s_csqrtl.os s_cpowl.os s_clog10l.os s_fdiml.os s_nextdownl.os s_fmaxl.os s_fminl.os s_nanl.os s_iseqsigl.os s_canonicalizel.os s_significandl.os w_ilogbl.os w_llogbl.os w_log1pl.os w_scalblnl.os s_fmaxmagl.os s_fminmagl.os w_acosl.os w_acoshl.os w_asinl.os w_atan2l.os w_atanhl.os w_coshl.os w_exp10l.os w_exp2l.os w_fmodl.os w_hypotl.os w_j0l.os w_j1l.os w_jnl.os w_logl.os w_log10l.os w_log2l.os w_powl.os w_remainderl.os w_scalbl.os w_sinhl.os w_sqrtl.os w_tgammal.os w_lgammal.os w_lgammal_r.os w_expl.os e_exp2l.os e_acos.os e_acosh.os e_asin.os e_atan2.os e_atanh.os e_cosh.os e_exp.os e_fmod.os e_hypot.os e_j0.os e_j1.os e_jn.os e_lgamma_r.os e_log.os e_log10.os e_pow.os e_remainder.os e_sinh.os e_sqrt.os e_gamma_r.os e_ilogb.os k_tan.os s_asinh.os s_atan.os s_cbrt.os s_ceil.os s_cos.os s_erf.os s_expm1.os s_fabs.os s_floor.os s_log1p.os s_logb.os s_nextafter.os s_nexttoward.os s_rint.os s_scalbln.os s_sin.os s_tan.os s_tanh.os s_fpclassify.os s_trunc.os s_remquo.os e_log2.os s_round.os s_nearbyint.os s_sincos.os s_fma.os s_lrint.os s_llrint.os s_lround.os s_llround.os e_exp10.os s_issignaling.os m_isinf.os m_isnan.os m_finite.os m_copysign.os m_modf.os m_scalbn.os m_frexp.os m_signbit.os m_ldexp.os x2y2m1.os gamma_product.os lgamma_neg.os lgamma_product.os s_nextup.os s_totalorder.os s_totalordermag.os s_getpayload.os s_setpayload.os s_setpayloadsig.os s_roundeven.os s_fromfp.os s_ufromfp.os s_fromfpx.os s_ufromfpx.os carg.os conj.os cimag.os creal.os cabs.os e_scalb.os s_cacos.os s_cacosh.os s_ccos.os s_ccosh.os s_casin.os s_csin.os s_casinh.os k_casinh.os s_csinh.os s_catanh.os s_catan.os s_ctan.os s_ctanh.os s_cexp.os s_clog.os s_cproj.os s_csqrt.os s_cpow.os s_clog10.os s_fdim.os s_nextdown.os s_fmax.os s_fmin.os s_nan.os s_iseqsig.os s_canonicalize.os s_significand.os w_ilogb.os w_llogb.os w_log1p.os w_scalbln.os s_fmaxmag.os s_fminmag.os w_acos.os w_acosh.os w_asin.os w_atan2.os w_atanh.os w_cosh.os w_exp10.os w_exp2.os w_fmod.os w_hypot.os w_j0.os w_j1.os w_jn.os w_log.os w_log10.os w_log2.os w_pow.os w_remainder.os w_scalb.os w_sinh.os w_sqrt.os w_tgamma.os w_lgamma.os w_lgamma_r.os w_exp.os e_exp2.os e_acosf.os e_acoshf.os e_asinf.os e_atan2f.os e_atanhf.os e_coshf.os e_expf.os e_fmodf.os e_hypotf.os e_j0f.os e_j1f.os e_jnf.os e_lgammaf_r.os e_logf.os e_log10f.os e_powf.os e_remainderf.os e_sinhf.os e_sqrtf.os e_gammaf_r.os e_ilogbf.os k_tanf.os s_asinhf.os s_atanf.os s_cbrtf.os s_ceilf.os s_cosf.os s_erff.os s_expm1f.os s_fabsf.os s_floorf.os s_log1pf.os s_logbf.os s_nextafterf.os s_nexttowardf.os s_rintf.os s_scalblnf.os s_sinf.os s_tanf.os s_tanhf.os s_fpclassifyf.os s_truncf.os s_remquof.os e_log2f.os s_roundf.os s_nearbyintf.os s_sincosf.os s_fmaf.os s_lrintf.os s_llrintf.os s_lroundf.os s_llroundf.os e_exp10f.os s_issignalingf.os m_isinff.os m_isnanf.os m_finitef.os m_copysignf.os m_modff.os m_scalbnf.os m_frexpf.os m_signbitf.os m_ldexpf.os x2y2m1f.os gamma_productf.os lgamma_negf.os lgamma_productf.os s_nextupf.os s_totalorderf.os s_totalordermagf.os s_getpayloadf.os s_setpayloadf.os s_setpayloadsigf.os s_roundevenf.os s_fromfpf.os s_ufromfpf.os s_fromfpxf.os s_ufromfpxf.os cargf.os conjf.os cimagf.os crealf.os cabsf.os e_scalbf.os s_cacosf.os s_cacoshf.os s_ccosf.os s_ccoshf.os s_casinf.os s_csinf.os s_casinhf.os k_casinhf.os s_csinhf.os s_catanhf.os s_catanf.os s_ctanf.os s_ctanhf.os s_cexpf.os s_clogf.os s_cprojf.os s_csqrtf.os s_cpowf.os s_clog10f.os s_fdimf.os s_nextdownf.os s_fmaxf.os s_fminf.os s_nanf.os s_iseqsigf.os s_canonicalizef.os s_significandf.os w_ilogbf.os w_llogbf.os w_log1pf.os w_scalblnf.os s_fmaxmagf.os s_fminmagf.os w_acosf.os w_acoshf.os w_asinf.os w_atan2f.os w_atanhf.os w_coshf.os w_exp10f.os w_exp2f.os w_fmodf.os w_hypotf.os w_j0f.os w_j1f.os w_jnf.os w_logf.os w_log10f.os w_log2f.os w_powf.os w_remainderf.os w_scalbf.os w_sinhf.os w_sqrtf.os w_tgammaf.os w_lgammaf.os w_lgammaf_r.os w_expf.os e_exp2f.os e_acosf128.os e_acoshf128.os e_asinf128.os e_atan2f128.os e_atanhf128.os e_coshf128.os e_expf128.os e_fmodf128.os e_hypotf128.os e_j0f128.os e_j1f128.os e_jnf128.os e_lgammaf128_r.os e_logf128.os e_log10f128.os e_powf128.os e_remainderf128.os e_sinhf128.os e_sqrtf128.os e_gammaf128_r.os e_ilogbf128.os k_tanf128.os s_asinhf128.os s_atanf128.os s_cbrtf128.os s_ceilf128.os s_cosf128.os s_erff128.os s_expm1f128.os s_fabsf128.os s_floorf128.os s_log1pf128.os s_logbf128.os s_nextafterf128.os s_nexttowardf128.os s_rintf128.os s_scalblnf128.os s_sinf128.os s_tanf128.os s_tanhf128.os s_fpclassifyf128.os s_truncf128.os s_remquof128.os e_log2f128.os s_roundf128.os s_nearbyintf128.os s_sincosf128.os s_fmaf128.os s_lrintf128.os s_llrintf128.os s_lroundf128.os s_llroundf128.os e_exp10f128.os s_issignalingf128.os m_isinff128.os m_isnanf128.os m_finitef128.os m_copysignf128.os m_modff128.os m_scalbnf128.os m_frexpf128.os m_signbitf128.os m_ldexpf128.os x2y2m1f128.os gamma_productf128.os lgamma_negf128.os lgamma_productf128.os s_nextupf128.os s_totalorderf128.os s_totalordermagf128.os s_getpayloadf128.os s_setpayloadf128.os s_setpayloadsigf128.os s_roundevenf128.os s_fromfpf128.os s_ufromfpf128.os s_fromfpxf128.os s_ufromfpxf128.os cargf128.os conjf128.os cimagf128.os crealf128.os cabsf128.os e_scalbf128.os s_cacosf128.os s_cacoshf128.os s_ccosf128.os s_ccoshf128.os s_casinf128.os s_csinf128.os s_casinhf128.os k_casinhf128.os s_csinhf128.os s_catanhf128.os s_catanf128.os s_ctanf128.os s_ctanhf128.os s_cexpf128.os s_clogf128.os s_cprojf128.os s_csqrtf128.os s_cpowf128.os s_clog10f128.os s_fdimf128.os s_nextdownf128.os s_fmaxf128.os s_fminf128.os s_nanf128.os s_iseqsigf128.os s_canonicalizef128.os s_significandf128.os w_ilogbf128.os w_llogbf128.os w_log1pf128.os w_scalblnf128.os s_fmaxmagf128.os s_fminmagf128.os w_acosf128.os w_acoshf128.os w_asinf128.os w_atan2f128.os w_atanhf128.os w_coshf128.os w_exp10f128.os w_exp2f128.os w_fmodf128.os w_hypotf128.os w_j0f128.os w_j1f128.os w_jnf128.os w_logf128.os w_log10f128.os w_log2f128.os w_powf128.os w_remainderf128.os w_scalbf128.os w_sinhf128.os w_sqrtf128.os w_tgammaf128.os w_lgammaf128.os w_lgammaf128_r.os w_expf128.os e_exp2f128.os t_sincosl.os k_sinl.os k_cosl.os k_sincosl.os s_iscanonicall.os e_rem_pio2l.os branred.os doasin.os dosincos.os mpa.os mpatan2.os k_rem_pio2.os mpatan.os mpsqrt.os mptan.os sincos32.os sincostab.os math_err.os e_exp_data.os e_log_data.os e_log2_data.os e_pow_log_data.os math_errf.os e_exp2f_data.os e_logf_data.os e_log2f_data.os e_powf_log2_data.os s_sincosf_data.os t_sincosf128.os k_sinf128.os k_cosf128.os k_sincosf128.os e_rem_pio2f128.os s_fadd.os s_f32xaddf64.os s_faddl.os s_daddl.os s_f32addf128.os s_f64addf128.os s_f64xaddf128.os s_fdiv.os s_f32xdivf64.os s_fdivl.os s_ddivl.os s_f32divf128.os s_f64divf128.os s_f64xdivf128.os s_fmul.os s_f32xmulf64.os s_fmull.os s_dmull.os s_f32mulf128.os s_f64mulf128.os s_f64xmulf128.os s_fsub.os s_f32xsubf64.os s_fsubl.os s_dsubl.os s_f32subf128.os s_f64subf128.os s_f64xsubf128.os
printf 'CREATING LIBM.SO.6\n'
$ld \
	-s \
	-shared \
	-O1 \
	-z defs \
	--dynamic-linker=/lib64/ld-linux-x86-64.so.2 \
	-L$build_dir/csu/ \
	--version-script=$src_dir/libm.versions.map \
	-soname=libm.so.6 \
	-z combreloc \
	-z relro \
	--hash-style=both \
	-L$build_dir \
	-L$build_dir/math \
	-L$build_dir/elf \
	-L$build_dir/dlfcn \
	-L$build_dir/nss \
	-L$build_dir/nis \
	-L$build_dir/rt \
	-L$build_dir/resolv \
	-L$build_dir/mathvec \
	-L$build_dir/support \
	-L$build_dir/crypt \
	-L$build_dir/nptl \
	-L$build_dir/libgcc \
	-L$build_dir/libgcc/libm \
	-rpath-link=$build_dir:$build_dir/math:$build_dir/elf:$build_dir/dlfcn:$build_dir/nss:$build_dir/nis:$build_dir/rt:$build_dir/resolv:$build_dir/mathvec:$build_dir/support:$build_dir/crypt:$build_dir/nptl \
	-o $build_dir/math/libm/libm.so \
	-T $src_dir/shlib.lds \
	$build_dir/csu/abi-note.o \
	--whole-archive \
		$build_dir/math/libm/libm_pic.a \
	--no-whole-archive \
	--start-group \
		$build_dir/libc.so \
		$build_dir/libc_nonshared.a \
		--as-needed \
			$build_dir/elf/ld-linux-x86-64.so.2 \
		--no-as-needed \
	--end-group \
	-lgcc \
	-lgcc-libm
#-------------------------------------------------------------------------------
mkdir -p $build_dir
sed -e "s@CONF_PREFIX@$conf_prefix@g" $src_dir/libm.so.in >$build_dir/libm.so.ld
